1
vote
2answers
216 views

Fresh install of 64bit Ubuntu needs flash but adobe doesn't have a version for me

I need flash to watch YT videos. YT said "You need to upgrade your Adobe Flash Player to watch this video." with a link to download flash. I'm running 10.04 so I see possible choices for myself: 1) a ...